

.botaoSair {
  float: right;
  font-size: 14px !important;
  width: 35px;
  height: 35px;
  border-radius: 50%;
  border: 1px solid;
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  align-content: center;
  justify-content: center;
  align-items: center;
}

.botaoSair:hover {
  cursor: pointer;
}

.botaoComprar {
  position: absolute;
  bottom: 0px;
  width: 100%;
  height: 120px;
  opacity: 0;
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  align-content: center;
  justify-content: center;
  align-items: center;
}

.botaoComprar:hover {
  opacity: 1;
  transition: 0ms;
}

.btComprar1 {
  font-weight: bold;
  text-align: center;
  width: 100%;
  height: 60px;
  padding: 20px;
  opacity: 0.8;
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  align-content: center;
  justify-content: center;
  align-items: center;
  cursor: pointer;
}

.nomeAtributos{
  padding: 5px;
  border: 1px solid white;
  margin-right: 3px;
}

.btAtributos {
  padding: 5px 10px !important;
  font-size: 14px;
  font-weight: 700;
  font-family: Arial, Helvetica, sans-serif;
  border: 1px solid black;
  margin: 2px;
 
}

.btAtributos:hover {  
  cursor: pointer;
}

.btTextoAtributos {
  width: 100%;
  height: 60px;
  opacity: 0.8;
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  align-content: center;
  justify-content: center;
  align-items: center;  
  cursor: pointer;
}

.btTextoAtributos1 {
  width: 100%;
  height: 60px;
  opacity: 0;
}



.oldPrice {
  font-size: 12px;
  font-weight: 400;
  display: flex;
  -webkit-box-align: center;
  align-items: center;
  text-decoration: line-through;
  line-height: 0.8;
}

.priceText {
  display: flex;
  -webkit-box-align: center;
  align-items: center;
  font-size: 12px;
  line-height: 1rem;
  font-weight: 400;
}

.priceContener {
  display: flex;
  flex-direction: column;
  width: 100%;
  padding: 1rem 0px;
}

.freteContener {
  display: flex;
  flex-direction: row;
  width: 100%;
}

.freteText {
  font-size: 12px;
  font-weight: 600;
}

.format-img {
  height: 45px;
  width: 45px;
  border-radius: 50%;
}

.fonte-pequena {
  font-size: 12px !important;
  color: #797979;
  margin-left: 5px !important;
}

.flex-align-center {
  display: flex;
  padding: 10px;
}

.iconFrete {  
  margin-right: 2px;
}

.textarea-format{
  resize: none;
  min-height: 40px!important;
  height: 85px!important;
  width: 100%;
}

.div-date-native, .el-input__inner, .input-color, .input-color input, .input-color textarea, .select-color {
  color: #797979 !important;
}

.botao-finalizar-pedido{
  border-radius: 34px;
  width: 80%;
  max-width: 368px;
  border: none;
  color: #fff;
  height: 50px;
  min-height: 40px;
  line-height: 40px;
}

.botao-finalizar-pedido, .btn-voltar-carrinho{
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
}

.text-center {
  text-align: center!important;
}
.carrinhocontainer {
  position: relative;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  height: 100%;
  width: 100%;
}

.el-dialog__wrapper {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  overflow: auto;
  margin: 0;
  z-index: 890;
}

.el-drawer__container {
  position: relative;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  height: 100%;
  width: 100%;
}
.container-carrinho-desktop {
  border-radius: 34px 0 0 34px !important;
}

.carrinhoConteudo {
  animation: rtl-drawer-in 225ms cubic-bezier(0, 0, .2, 1) 0ms;
}

.carrinhoConteudoDesktop {
  right: 0 !important;
  position: absolute !important;
  top: 0 !important;
  background: transparent !important;
}

@keyframes rtl-drawer-in {
  0% {
      -webkit-transform: translate(100%);
      transform: translate(100%);
  }

  100% {
      -webkit-transform: translate(0);
      transform: translate(0);
  }
}

.carrinho-produtos-desktop {
  padding-left: 50px !important;
  padding-right: 10px !important;
}

.cursor-pointer {
  cursor: pointer!important;
}

.cinza25 {
  background-color: #f2f2f2;
}
.carrinho-informacoes {
  background: #fff;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  padding: 25px 25px 25px 25px;
  overflow-y: auto;
  -ms-flex-item-align: center;
  align-self: center;
  width: 100%;
  border-top-left-radius: 34px;
  border-bottom-left-radius: 34px;
}
.mt-15 {
  margin-top: 15px;
}
.mt-10 {
  margin-top: 10px;
}
.mt-30 {
  margin-top: 30px;
}
.mt-12 {
  margin-top: 12px;
}
.flex-align-center, .flex-align-end {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}
.flex-align-center, .flex-center-center {
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
}
.flex-align-center, .flex-center-center {
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
}
.flex-center-center, .flex-center-column {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
}
.text-branco {
  color: #fff;
}
.text-right {
  text-align: right;
}
.full-width {
  width: 100%!important;
}
.el-select {
  display: inline-block;
  position: relative;
}
.el-input {
  position: relative;
  font-size: 14px;
  display: inline-block;
  width: 100%;
}
#select-pagamento-vitrine-info, #select-tipo-pagamento-vitrine-info {
  border-radius: 36px;
  border: 0;
  height: 40px;
  background: #f2f2f2 !important;
  color: #797979 !important;
}
.el-input__suffix {
  position: absolute;
  height: 100%;
  right: 5px;
  top: 0;
  text-align: center;
  color: #c0c4cc;
  -webkit-transition: all .3s;
  transition: all .3s;
  pointer-events: none;
}
.el-input__suffix-inner {
  pointer-events: all;
}

.scroll-cinza-slim::-webkit-scrollbar {
  width: 6px!important;
  height: 6px!important;
  display: initial!important;
  border-radius: 4px;
}
::-webkit-scrollbar {
  display: none;
}
.scroll-cinza-slim::-webkit-scrollbar-thumb {
  border-radius: 10px!important;
  background: rgba(121,120,120,.3)!important;
  /* -webkit-box-shadow: inset 0 0 1px rgba(121,120,120,.3)!important; */
}
.scroll-cinza-slim::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 5px rgba(121,120,120,.3)!important;
  border-radius: 10px!important;
}

.text-cinza100 {
  color: #585858 !important;
}

.input-cliente {
  background: #f2f2f2;
  border-radius: 60px;
  color: #797979;
  padding: 0.5em 0.75rem!important;
  border: none;
  outline: none!important;
}

.full-width {
  width: 100%!important;
}

.mt-8 {
  margin-top: 8px;
}

.el-input::-webkit-scrollbar-track-piece {
  background: #fff;
  width: 6px;
}
.el-input::-webkit-scrollbar-corner, .el-input::-webkit-scrollbar-track {
  background: #fff;
}
.el-input::-webkit-scrollbar-thumb {
  border-radius: 5px;
  width: 6px;
  background: #b4bccc;
}
.el-input::-webkit-scrollbar-corner, .el-input::-webkit-scrollbar-track {
  background: #fff;
}
.el-input::-webkit-scrollbar {
  z-index: 11;
  width: 6px;
}
.scroll-cinza, .scroll-cinza-fat, .scroll-cinza-medium {
  scrollbar-color: rgba(121,120,120,.3) rgba(121,120,120,.1);
  scrollbar-width: thin;
}
.carrinho-produtos-desktop {
  padding-left: 25px!important;
  padding-right: 25px!important;
}

.largura-tela {
  width: 350px!important;
}
.el-dialog-rounded-modal-generico {
  background: white !important;
  border-radius: 34px !important;
  margin-top: 0!important;
  margin-bottom: 0!important;
  width: -webkit-fit-content!important;
  width: -moz-fit-content!important;
  width: fit-content!important;
  -webkit-box-shadow: 0 1px 3px rgb(0 0 0 / 30%) !important;
  box-shadow: 0 1px 3px rgb(0 0 0 / 30%) !important;
}

.el-dialog {
  position: relative;
  margin: 0 auto 50px;
  background: #f2f2f2;
  border-radius: 2px;
  -webkit-box-shadow: 0 1px 3px rgb(0 0 0 / 30%);
  box-shadow: 0 1px 3px rgb(0 0 0 / 30%);
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  width: 50%;
}

.box-lista-produtos{
  padding: 0 18px 0 25px;
}

.box-padrao{
  padding: 0 25px;
}

.el-dialog__wrapper {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  overflow: auto;
  margin: 0;
}

@media only screen and (min-width: 1366px)
{
.fonte-grande{
    font-size: 26px;
}
.fonte-padrao{
  font-size: 16px;
}
.largura-tela{
  width: 560px!important;
}
}

@media only screen and (min-width: 1025px)
{
.carrinho-produtos-desktop {
    padding-left: 50px!important;
    padding-right: 10px!important;
}
.largura-tela {
    width: 560px!important;
}
}

@media only screen and (min-width: 721px)
{
.box-lista-produtos {
    padding: 0 30px 0 50px;
}
.box-padrao{
  padding: 0 50px;
}
}

@media only screen and (min-width: 400px)
{
.fonte-grande {
    font-size: 24px;
}
.fonte-padrao {
  font-size: 14px;
}
}

.modal-generico .el-dialog__wrapper{
  background: rgba(0,0,0 , 0.6) !important;
}

.el-dialog-rounded-modal-generico {
  background: white!important;
  border-radius: 34px !important;
  margin-top: 0!important;
  margin-bottom: 0!important;
  width: -webkit-fit-content!important;
  width: -moz-fit-content!important;
  width: fit-content!important;
  -webkit-box-shadow: 0 1px 3px rgb(0 0 0 / 30%) !important;
  box-shadow: 0 1px 3px rgb(0 0 0 / 30%) !important;
}
.el-dialog--center {
  text-align: center;
}
.el-dialog__header {
  padding: 20px;
  padding-bottom: 10px;
}
.el-dialog-rounded-modal-generico .el-dialog__header {
  display: none;
}
.el-dialog__title {
  line-height: 24px;
  font-size: 18px;
  color: #303133;
}
